Foscam FI8910W PT PZ Will Not Work, Incompatible.

Forum for questions and support relating to the 1.24.x releases only.
Post Reply
cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by cruiserparts » Fri Dec 07, 2012 4:12 am

I've spent a couple of nights trying to fix this, search, read.. no luck.

Ubuntu 11.10
Zonemaster 1.24.4
Foscam FI8910W firmware 11.37.2.48

I can use the software packaged with the FI8910W to completely control the cameara. Works fine.

I have zoneminder set up on a remote machine, installed and working.

In ZM.......
I can see a live feed on the FI8910W.
I have spent several hours trying to install two different control scripts.
http://www.zoneminder.com/wiki/index.php/Foscam_FI8918W and
https://github.com/troywill/foscam-zoneminder
I can't tell a difference between either script in the end.

When I hit "control" the control joystick comes up. When I try to control the foscam, nothing happens.
The browser returns the following
Control response was status = undefined
message = /usr/bin/zmcontrol.pl --autostop --command=moveConRight --id=3=>

meanwhile the live feed works fine.

Some error log messages.....
==> /var/log/zm/zmcontrol.log <==
12/06/12 23:07:44.833101 zmcontrol[12513].INF [Starting control server 3/FoscamFI8910W]
12/06/12 23:07:44.836761 zmcontrol[12514].INF [Control server 3/FoscamFI8910W starting at 12/12/06 23:07:44]

==> /var/log/zm/zmwatch.log <==
12/06/2012 23:07:49.303644 zmwatch[7153].ERR [Shared data size conflict in shared_data for monitor NannyCam, expected 328, got 316]

==> /var/log/zm/zmcontrol.log <==
12/06/12 23:07:54.837829 zmcontrol[12513].FAT [Can't connect: Connection refused]

==> /var/log/zm/zmwatch.log <==
12/06/2012 23:07:59.305193 zmwatch[7153].ERR [Shared data size conflict in shared_data for monitor NannyCam, expected 328, got 316]

Any ideas on how to proceed? It's probably something silly, but I've exhausted all my googling and reading...
Last edited by cruiserparts on Wed Dec 12, 2012 1:43 pm, edited 3 times in total.

PacoLM
Posts: 970
Joined: Wed Dec 02, 2009 9:55 pm
Location: Spain

Re: Foscam FI8910W PZ won't work

Post by PacoLM » Fri Dec 07, 2012 7:48 am

# To remove errors -> zmwatch[2429].ERR [Shared data size conflict in shared_data for monitor XXXXX, expected 328, got 316]

Replace:

Code: Select all

$arch = int(3.2*length(~0)); 
with

Code: Select all

$arch = 32; 
in /usr/local/share/perl/5.12.4/ZoneMinder/Memory.pm (maybe your path changes, then use find / - name Memory.pm in order to find the file location).

Hope it helps!

PacoLM

mini-ITX system (4 IPCams - Ubuntu20.04 - ZM1.34.15)
TelegramBot

cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Re: Foscam FI8910W PZ won't work

Post by cruiserparts » Sat Dec 08, 2012 2:20 am

Hi,

Fixed the memory issues. Thanks.

Code: Select all

12/15/12 21:06:01.257688 zmcontrol[8916].INF [Starting control server 1/FoscamFI8910W]
12/15/12 21:06:01.261136 zmcontrol[8917].INF [Control server 1/FoscamFI8910W starting at 12/12/15 21:06:01]
Not sure why. I have checked the passwords through the foscam software and matched them to the control device in zm.

When I try to move the camera by cl:

Code: Select all

server:~$ sudo /usr/bin/zmcontrol.pl --autostop --command=moveConRight --id=3
Unable to load control data for monitor 3 at /usr/share/perl5/ZoneMinder/Debug.pm line 349
	ZoneMinder::Debug::Fatal('Unable to load control data for monitor 3') called at /usr/bin/zmcontrol.pl line 114
Last edited by cruiserparts on Sun Dec 16, 2012 2:10 am, edited 1 time in total.

cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Re: Foscam FI8910W PT won't work. Connection Refused

Post by cruiserparts » Wed Dec 12, 2012 1:42 pm

I have now spent numerous hours trying to get two different scripts to work with the setup described above.

I have zm working fine in all other ways on this foscam.

I can't think of anything else, so I am just going to say that the Foscam FI8910W just does not work properly on the setup I have. It seems like other people have trouble with thier setups with the 8910. So, if you are reading this thread for compatibility, I would say that the Foscam FI8910W is incompatible if you need to control the camera.

theforce
Posts: 129
Joined: Tue May 11, 2010 5:22 am

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by theforce » Wed Dec 12, 2012 10:45 pm

I think I has issues like this when trying to get my PTZ camera to work. I dont remember what the exact issue was but I can tell you a few places to look.

Make sure your control script has the correct permissions.
For example mine are root:root with -rw-r--r--.

Example if you script is named Foscam.pm look in that file and make sure the package line is like this. package ZoneMinder::Control::Foscam;
Same name same case.

In the monitor settings.
On the control tab make sure you have the crontrol device setup correctly with your username and password. How ever the Foscam needs set up. Mine is a Foscam clone. I have user=admin&pwd= in that field. Official Foscam and or script reqirments might be different. My control script is based off the Foscam PTZ script.

Control address is just the IP address.

Edit the control type.
On the main page of the Foscam
Name = Foscam ( same as your script name )
Type = remote
Protocol = Foscam ( same as your script name )

The reset of the settings should be what ever everyone else said they should be for the Foscam.

cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by cruiserparts » Thu Dec 13, 2012 4:10 am

theforce wrote:I think I has issues like this when trying to get my PTZ camera to work. I dont remember what the exact issue was but I can tell you a few places to look.
Hi theforce,

I appreciate your post. You basically listed the same thing I've been doing. So, I'm glad you posted it. For anyone reading, it is a good flowchart on how to start troublehsooting this. I went through it again, exactly per you post and still nothing happens. I've even used the 8910 and 8918 scripts and installed them several times.

This is why I think this model is incompatible with my setup (maybe others too).

Thanks again. If I figure anything else out, I'll post back.

cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Foscam Support H

Post by cruiserparts » Fri Dec 14, 2012 4:28 pm

FYI,

Just to see if Foscam had any technical support solutions about this, I emailed them. I really wasn't expecting any help, but I figured maybe somebody had some secret setting I was missing or something.

Here is what foscam technical service said
Hello,

Sorry that is a third-party software,I am not very clear about the settings.
Sorry for the inconveniece you encountered!

cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by cruiserparts » Sun Dec 16, 2012 3:32 am

Code: Select all

sudo /usr/bin/zmcontrol.pl --autostop --command=moveConRight --id=1
This does not return an error, nothing appears in logs other than the control starting messages above, but the camera does not move.

Hope it helps somebody else who might be able to figure theirs out.

theforce
Posts: 129
Joined: Tue May 11, 2010 5:22 am

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by theforce » Sun Dec 16, 2012 3:19 pm

try not using autostop.

If your clicking on the controls and your still get an error like "Control response was status = undefined" I think you still have something named wrong somewhere. In your control file, your file name, settings in zoneminder for the control file/type.

mythedoff
Posts: 25
Joined: Sat Dec 04, 2010 5:21 pm

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by mythedoff » Mon Dec 17, 2012 5:35 pm

I can use the software packaged with the FI8910W to completely control the cameara. Works fine.
In a windows machine? What you don't mention is whether you unchecked the pt setting by accessing the camera directly using the browser. If I recall, for this model, the default for pt is disabled. [edit: that default is for presets to be diables]

I have it working using zm 1.25 but the pt performance is very poor. The browser shows a long delay before the image refreshes. If I am watching at the same time on my phone, the movement is immediate. Because of this I just use my phone and access the camera directly to pt.

[edit: I just finished setting up another FI8910W, and guess what, I can't get to to move either using the same settings as my other FI8910W.]

cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by cruiserparts » Mon Dec 17, 2012 8:56 pm

mythedoff wrote:
I can use the software packaged with the FI8910W to completely control the cameara. Works fine.
[edit: I just finished setting up another FI8910W, and guess what, I can't get to to move either using the same settings as my other FI8910W.]
I upgraded to ubuntu 12.04 last night and it broke the zm install. I didn't get a chance to fix it. I will tonight and see if the ubuntu upgrade did anything.

Are the firmware versions of your two 8910s the same?

Yes i have the proper pt checkbox setting.

I can issue a move command from the command line and I don't get any errors. But I don't get any movement either.

mythedoff
Posts: 25
Joined: Sat Dec 04, 2010 5:21 pm

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by mythedoff » Mon Dec 17, 2012 9:59 pm

Are the firmware versions of your two 8910s the same?
Yes, they are the same.
If you aren't already, you might keep your eye on the 1.25 forum where the issue is/has been talked about. It looks like it is more a problem with the control script than anything we might be doing.

cruiserparts
Posts: 9
Joined: Fri Dec 07, 2012 2:31 am

Re: Foscam FI8910W PT PZ Will Not Work, Incompatible.

Post by cruiserparts » Tue Dec 18, 2012 2:30 am

cruiserparts wrote:
mythedoff wrote:

I upgraded to ubuntu 12.04 last night and it broke the zm install. I didn't get a chance to fix it. I will tonight and see if the ubuntu upgrade did anything.
I'm in upgrade hell. the 1.25 upgrade on ubuntu failed due to some sql bug. Spent enough hours on this already. I think I'm done with zoneminder for a while. Good luck.

Post Reply

Who is online

Users browsing this forum: No registered users and 18 guests